Bug 61118 - Anaconda fails on NFS Kickstart to Laptop
Anaconda fails on NFS Kickstart to Laptop
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-03-13 15:59 EST by Jonathon M. Robison
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-13 16:04:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Kickstart config file (3.11 KB, text/plain)
2002-03-13 16:01 EST, Jonathon M. Robison
no flags Details
Anaconda error dump (64.97 KB, text/plain)
2002-03-13 16:04 EST, Jonathon M. Robison
no flags Details

  None (edit)
Description Jonathon M. Robison 2002-03-13 15:59:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.8-31.2mdk i686)

Description of problem:
Anaconda failes with traceback just after getting the pretty X screen with the
RH logo. I have removed my %post section, altered the --xconfig, changed the
parts, etc. etc. In all cases, anaconda fails.
See attachements for the ks.cfg and the anacdump.txt

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create boot floppy with bootnet.img (from CD or upgraded, no diff)
2.Create NFS kickstart file ks.cfg and add to the floppy
3. Boot up!

Actual Results:  Fails just after the nice X RH logo (white bg) comes up. Fails
with anaconda traceback.
DHCP and NFS worked fine.

Expected Results:  I expected it to install!

Additional info:

See attached files
Comment 1 Jonathon M. Robison 2002-03-13 16:01:20 EST
Created attachment 48425 [details]
Kickstart config file
Comment 2 Jonathon M. Robison 2002-03-13 16:04:06 EST
Created attachment 48426 [details]
Anaconda error dump
Comment 3 Jeremy Katz 2002-03-13 17:37:42 EST
Your comps file is referencing a libtool-libs package which does not exist in
your installation tree.
Comment 4 Jonathon M. Robison 2002-03-14 08:31:42 EST
So anaconda isn't smart enough to skip it with a warning?  Geesh guys - you know
that all these ks.cfg files are hand edited - people are gonna make typos and
such - you can't let anaconda fail with such a non-informative message!

I'll give it another shot and see if it works w/o the libtools-lib package in
the list.

Note You need to log in before you can comment on or make changes to this bug.